#ifndef STRANDTEST_V4
#define STRANDTEST_V4

// Parameter 1 = number of pixels in strip
// Parameter 2 = Arduino pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
// Parameter 4 = array to store pixel data in

#define NEO_NUM_PIXELS 50

// Since this is for the static version of the library, we need to supply the pixel array
// This saves space by eliminating use of malloc() and free(), and makes the RAM used for
// the frame buffer show up when the sketch is compiled. 

#define NEO_TYPE NEO_GRB
#define NEO_PORT (&PORTA.OUT)
#define NEO_PIN_MASK PIN6_bm


#define LED2 0
#define LED16 3
#define LED50 4
#define LED20 7
#define LED38 8
#define LED33 11
#define LED4 37
#define LED18 34
#define LED22 33
#define LED35 25
#define LED40 30
#define LED52 26
#define LED5 29
#define LED10 28
#define LED48 27
#define LED44 31
#define LED30 24
#define LED26 32
#define LED14 35
#define LED9 36
#define LED45 18
#define LED41 21
#define LED27 17
#define LED23 22
#define LED11 14
#define LED6 13
#define LED1 12
#define LED15 15
#define LED19 23
#define LED32 16
#define LED37 20
#define LED49 19
#define LED47 39
#define LED43 40
#define LED8 43
#define LED29 44
#define LED13 47
#define LED25 48
#define LED21 49
#define LED17 46
#define LED34 45
#define LED3 42
#define LED39 41
#define LED51 38
#define LED28 10
#define LED42 9
#define LED24 6
#define LED46 5
#define LED12 2
#define LED7 1

#define MAX_NUM_EFFECTS 63
#define MAX_NUM_EFFECTS_BITS 6
#define NUM_EFFECTS 33

#if (NUM_EFFECTS > MAX_NUM_EFFECTS)
# error Maximum number of effects is MAX_NUM_EFFECTS
#endif

#endif // STRANDTEST_V4
